Eclipse Draw2d 3.3

## org.eclipse.draw2d
Class BendpointLocator

    java.lang.Object
      org.eclipse.draw2d.AbstractLocator
          org.eclipse.draw2d.ConnectionLocator
              org.eclipse.draw2d.BendpointLocator

All Implemented Interfaces:
  Locator

    public class BendpointLocator

extends ConnectionLocator

Places a figure relative to a specified bend in a `Connection`. A bendpoint is one of the points returned in the connection's `Connection.getPoints()` method. It is not related to the bendpoint class used as routing constraints.

Field Summary

Fields inherited from class org.eclipse.draw2d.ConnectionLocator
`END, MIDDLE, MIDPOINT, SOURCE, START, TARGET`

Constructor Summary
`BendpointLocator(Connection c, int i)` Creates a BendpointLocator associated with passed Connection c and index i.

Method Summary
`protected int` `getIndex()` Returns the index of this BendpointLocator.
`protected Point` `getReferencePoint()` Returns reference point associated with the BendpointLocator.

Methods inherited from class org.eclipse.draw2d.ConnectionLocator
`getAlignment, getConnection, getLocation, setAlignment, setConnection`

Methods inherited from class org.eclipse.draw2d.AbstractLocator
`getGap, getNewBounds, getRelativePosition, relocate, setGap, setRelativePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BendpointLocator

    public BendpointLocator(Connection c,
                            int i)

  Creates a BendpointLocator associated with passed Connection c and index i.

  Parameters:
    `c` - Connection associated with BendpointLocator
    `i` - Index of bendpoint, represents the position of the bendpoint on Connection c
  Since:
    2.0

Method Detail

### getIndex

    protected int getIndex()

  Returns the index of this BendpointLocator. This index is the position of the reference point in this BendpointLocator's `Connection`.

  Returns:
    The index
  Since:
    2.0

### getReferencePoint

    protected Point getReferencePoint()

  Returns reference point associated with the BendpointLocator. This Point is taken from the BendpointLocator's connection and is point number 'index'.

  Overrides:
    `getReferencePoint` in class `ConnectionLocator`
  Returns:
    The reference point
  Since:
    2.0

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.